Bug 172856 - user properties forces you to enter a home directory
user properties forces you to enter a home directory
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-users (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Depends On:
  Show dependency treegraph
Reported: 2005-11-10 11:38 EST by clive darr
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-07 09:44:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description clive darr 2005-11-10 11:38:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20050923 CentOS/1.0.7-1.4.1.centos4 Firefox/1.0.7

Description of problem:
user properties forces you to enter a home directory but should allow NO home directory

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.create a user without a home directory and /sbin/nologin shell
2.click on user properties
3.change password
4.click ok


Actual Results:  you'll get a warning Please enter a home directory.

Expected Results:  should allow NO home directory

Additional info:
Comment 1 Nils Philippsen 2006-06-07 09:44:58 EDT
Note that system-config-users is not meant to manage system accounts, these are
meant to be handled by the packages that need them. If you build software by
yourself, you can always use useradd e.a. to create system accounts. Normal
users are expected to have a home directory always.

Note You need to log in before you can comment on or make changes to this bug.